Subject: UltraStor driver w/ALPHA-pl11 support
From: [email-masked] (Caleb Epstein)
Date: Fri, 16 Jul 93 01:38:28 GMT
Newsgroups: comp.os.linux.announce

Greetings, Linuxers.  I've made some small patches to John
Carr's UltraStor 14/24/34F driver to get it to compile properly with
the 0.99.10+ALPHA and ALPHA-pl11 kernels.  John seems to have ceased
work on this driver, so I've taken it upon myself to keep it up to
speed with the latest kernel release.

	If you'd like a copy of the driver and have no FTP access,
send me email.  It'll fit easily in a single mail message.  You can
find the driver by FTP on sunsite (I can't upload it to tsx-11 -
anyone care to handle this?) as

	sunsite.unc.edu:/pub/Linux/Incoming/ultrastor-1.9.tar.gz

The archive consists of hosts.[ch], scsi.[ch], and ultrastor.[ch].
They are drop-in replacements for the versions shipped with the
ALPHA-pl11 kernel.

	Please note that accoring to John, some users, himself
included, have experienced problems with this driver.  They include
SCSI bus reset messages and system lockups.  I am not sure if any data
has been corrupted.  I myself have used the driver since John's first
release of it and have *never* had a single problem.  I use it with an
UltraStor 24F on my 486-DX2/66 EISA/VLB machine.  Your mileage may
vary.

[ [email-masked] ][ Caleb Epstein ][ JP Morgan & Co. Incorporated ][ NY, NY ]
[ This .sig brought to you by Linux, the 32-bit OS for 386+ based computers.  ]

--
Selected by Matt Welsh (not Maddi Hausmann). MAIL your joke (jokes ONLY)
to [email-masked]. Please, no administrivia, "mouse balls"
or offensive jokes. Attribute the joke's source if at all possible.